// このサンプルは ./src/quiz/qzlogs.rs ファイルを取り込みます
mod quiz;

fn main() {
   
    // Log出力のオプション変更は、qzlogs.confをエディタ等で修正してください
    quiz::qzlogs::log_init_profile(".\\qzlogs.conf");
     
    quiz::qzlogs::profile_time_start("RS_TEST05_");

    quiz::qzlogs::log("hoge");

    quiz::qzlogs::w32_reset_err_code();
    quiz::qzlogs::w32_err_log("test05 main()", 13);    //エラーなし記録
    
    quiz::qzlogs::log_dump_utf8("0123456789", 10, "数字");

    let ret = quiz::qzlogs::msg_box_okcancel("TEST05 開始します", "RS_TEST05");
    if ret == 1  {
        println!("OKが選択されました");
    }else{
        println!("Cancelが選択されました");
    }

    quiz::qzlogs::profile_time_stop();
    quiz::qzlogs::log_term();
}

